Subject: [bug#56638] [PATCH] gnu: Add asli.

From: "Paul A. Patience" <[email-masked]>
Date: Tue, 20 Jun 2023 00:39:21 +0000

Hi Ludo,

On 2022-09-15 09:37:08-04:00, Paul A. Patience wrote:
> On 2022-09-14 17:13:28-04:00, Ludovic Courtès wrote:
>> And I have:
>>
>> $ sha256sum gnu/packages/patches/asli-use-system-libs.patch
>> 1a922b39a53b8cb0bd99e6c94e90769efaad88634b56d8df03811f68e45a003c  gnu/packages/patches/asli-use-system-libs.patch
>>
>> Am I missing something?
>
> Thanks for the shasum; it allowed me to discover the problem.
> There are trailing spaces in the original CMakeLists.txt, which also
> appear in the patch.
> When sending the patch inline, these spaces are trimmed.
> (The spaces are highlighted in Magit, so I was aware of them, but I
> didn't realize they would be trimmed somewhere in the email pipeline.)
>
> I will attach the patch file separately, and also a tarred version just
> in case.
> So you can verify that you have the right one, here's my shasum:
>
> $ sha256sum gnu/packages/patches/asli-use-system-libs.patch
> fb1531a4f71e95354af6927175f67b90f39250604aa6859d9def4778027f1810  gnu/packages/patches/asli-use-system-libs.patch

Would you mind taking a look at this again?

Thanks,
Paul